//
//
//
TString PlotFileType() { return(".eps"); }

// determine the graphs to show (all or F1 or FL1pm or FR1pm or FL1pRm or FR1sim or FR1psim)
// FR1: FL1 and FR1
// FL1pm: FL1, +charge and -charge
// FR1pm: FR1, +charge and -charge
// FL1pRm: FL1, -charge and FR1, +charge
// F1sim: FL1, FR1, and FL1 with weighting to make it FR1
// F1psim: FL1, FR1, and FL1 with weighting to make it FR1, only for +charge
//
// Fl1SM: compare 1000 to SM from old MC
// SMFL1ratio: SM divided by 1000 from old MC
//
// F2: FL1 and FL2 and FR2
// FL2: FL1 and FL2
// FL2sim: FL1, FL2, and FL1 with weighting to make it FL2
// FL2ratio: FL2 divided by FL1
// FL2simratio: FL2 divided by FL2sim
// FR2: FL1 and FR2
// FR2sim: FL1, FR2, and FL1 with weighting to make it FR2
//
// FL1FR1sum: the first plot is FL1+FR1 histograms, then add a plot of 1100
// FL1FL2sum: the first plot is FL1+FL2 histograms, then add a plot of 1010
// FL1FR2sum: the first plot is FL1+FR2 histograms, then add a plot of 1001
//
// 2FL1: compare 1000 to 2000 
//
// FL1SM: compare 1000 to old SM events used in D0 analysis
//
TString PlotChoice() { return("FL1SM"); }

// output directory path for histograms
TString PlotTargetDir() { return("../../histograms_sch"); }

//
//------------------------------------------------------------------------------
// input/output
// Note!!!: To change the output histogram directory, you
//   have to change the path here and in the plotSingleHistogram.C macro file!!!
// Input histogramming file
//
//
// fill a TObjArray of directories containing directories
// containing 
void fillDirArray(TString dirName,const TObjArray& inDir)
{
  inDir.Clear();

  const TString HistoFile1000="../../scripts/tb_a_1000.root";
  //const TString HistoFile1000="../../scripts/tb_e_1000.root"; // when selecting on electrons
  const TString HistoFile0100="../../scripts/tb_a_0100.root";
  const TString HistoFilesim0100="../../scripts/tb_a_sim0100.root";
  const TString HistoFile0010="../../scripts/tb_a_0010.root";
  const TString HistoFilesim0010="../../scripts/tb_a_sim0010.root";
  const TString HistoFile0001="../../scripts/tb_a_0001.root";
  const TString HistoFilesim0001="../../scripts/tb_a_sim0001.root";

  const TString HistoFile1100="../../scripts/tb_a_1100.root";
  const TString HistoFile1010="../../scripts/tb_a_1010.root";
  const TString HistoFile1001="../../scripts/tb_a_1001.root";

  const TString HistoFile2000="../../scripts/tb_a_2000.root";

  const TString HistoFileSM="../../scripts/tb_e_SM.root";

  TDirectory *NullObj=new TDirectory();
  NullObj->SetTitle("NULL");

  TFile  *file1000=new TFile(HistoFile1000);
  inDir.Add(file1000->Get(dirName.Data()));

  if(PlotChoice().Contains("F1") || PlotChoice().Contains("FR1")) {
    TFile  *file0100=new TFile(HistoFile0100);
    inDir.Add(file0100->Get(dirName.Data())); 
  }
  else if(PlotChoice().Contains("SM")) {
    // if this is comparison to SM, don't do FR1:
    TFile  *fileSM=new TFile(HistoFileSM);
    inDir.Add(fileSM->Get(dirName.Data())); 
  }
  else {
    inDir.Add(NullObj);
  }

  if(PlotChoice().Contains("FR1sim") || PlotChoice().Contains("FR1psim") || PlotChoice().Contains("all")) {
    TFile  *filesim0100=new TFile(HistoFilesim0100);
    inDir.Add(filesim0100->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  if(PlotChoice().Contains("FL2") || PlotChoice()=="F2") {
    //cout<<"Adding file for FL2"<<endl;
    TFile  *file0010=new TFile(HistoFile0010);
    inDir.Add(file0010->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }
  
  if(PlotChoice().Contains("FL2sim")) {
    //cout<<"Adding file for FL2sim"<<endl;
    TFile  *filesim0010=new TFile(HistoFilesim0010);
    inDir.Add(filesim0010->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  if(PlotChoice().Contains("FR2") || PlotChoice()=="F2") {
    TFile  *file0001=new TFile(HistoFile0001);
    inDir.Add(file0001->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }
  
  if(PlotChoice().Contains("FR2sim")) {
    TFile  *filesim0001=new TFile(HistoFilesim0001);
    inDir.Add(filesim0001->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }


  //--------------------------------------------
  // if this is comparing composite distributions,
  // add more histograms here!
  if(PlotChoice().Contains("FL1FR1sum")) {
    TFile  *file1100=new TFile(HistoFile1100);
    inDir.Add(file1100->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  if(PlotChoice().Contains("FL1FL2sum")) {
    TFile  *file1010=new TFile(HistoFile1010);
    inDir.Add(file1010->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  if(PlotChoice().Contains("FL1FR2sum")) {
    TFile  *file1001=new TFile(HistoFile1001);
    inDir.Add(file1001->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  //--------------------------------------------
  // if this is comparing composite distributions,
  // add more histograms here.
  if(PlotChoice().Contains("2FL1")) {
    TFile  *file2000=new TFile(HistoFile2000);
    inDir.Add(file2000->Get(dirName.Data()));
  }
  else {
    inDir.Add(NullObj);
  }

  
  //cout<<"total number of entries: "<<inDir.GetEntries()<<endl;

}
