/******************************************************************************
 * CutNJets.hpp                                                               *
 *                                                                            *
 * Apply a default set of cuts to all classes deriving from BaseCuts          *
 *                                                                            *
 * Derived from BaseCut                                                       *
 *                                                                            *
 * Public Member Functions of CutBasic class                                  *
 *    CutBasic()                        -- Parameterized Constructor          *
 *    ~CutBasic()                       -- Destructor                         *
 *    BookHistogram()                   -- Book histograms                    *
 *    Apply()                           -- Apply cuts and fill histograms     *
 *    GetCutName()                      -- Returns "CutBasic"                 *
 *                                                                            *
 * Private Data Members of CutBasic                                           *
 *    Double_t _minElePt                                                      *  
 *    Double_t _maxEleEta                                                     *
 *    Double_t _minMET                                                        *
 *    Double_t _minJetPt                                                      *
 *                                                                            *
 * History                                                                    *
 *      28 Nov 2004 - Created by R. Schwienhorst                              *
 *      10 Nov 2006 - Modified by P. Ryan - cleanup and reorganized           *
 *****************************************************************************/

#include "single_top_analysis/CutBasic.hpp"
#include <iostream>

using namespace std;

/******************************************************************************
 * CutBasic::CutBasic()                                                       *
 *                                                                            *
 * Parameterized Constructor                                                  *
 *                                                                            *
 * Input:  Event Container, lepton and jet info                               *
 * Output: None                                                               *
 ******************************************************************************/

CutBasic::CutBasic(EventContainer *EventContainerObj, Double_t elept, Double_t eleeta, Double_t met, Double_t jetpt, 
		   Double_t jeteta, Int_t minjets, Int_t maxjets, Double_t jet1pt, Double_t jet1eta)
  : _minElePt(elept), _maxEleEta(eleeta), _minMET(met), _minJetPt(jetpt), _maxJetEta(jeteta), 
    _minNjets(minjets), _maxNjets(maxjets),
    _minJet1Pt(jet1pt), _maxJet1Eta(jet1eta)
{
  SetEventContainer(EventContainerObj);
} //CutBasic

/******************************************************************************
 * CutBasic::~CutBasic()                                                      *
 *                                                                            *
 * Destructor                                                                 *
 *                                                                            *
 * Input:  None                                                               *
 * Output: None                                                               *
 ******************************************************************************/
CutBasic::~CutBasic()
{

} //~CutBasic

/******************************************************************************
 * void CutBasic::BookHistogram()                                             *
 *                                                                            *
 * Book Histograms                                                            *
 *                                                                            *
 * Input:  None                                                               *
 * Output: None                                                               *
 ******************************************************************************/
void CutBasic::BookHistogram()
{

} //BookHistograms

/******************************************************************************
 * Bool_t CutBasic::Apply()                                                   *
 *                                                                            *
 * Apply cuts and fill histograms                                             *
 *                                                                            *
 * Input:  None                                                               *
 * Output: kTrue if successful                                                *
 ******************************************************************************/
Bool_t CutBasic::Apply()
{

  EventContainer *obj=GetEventContainer();
  
//   Bool_t passEvt=obj->finalStatePass;
//   if(passEvt==kFALSE) return kFALSE;

//   // basic cuts pass, now check cuts:
//   // the electron:
//   Bool_t leptonpass=(obj->finalLepton.Pt()>=_minElePt && fabs(obj->finalLepton.Eta())<=_maxEleEta);
//   // MET
//   Bool_t metpass=(obj->finalNeutrino.Pt()>=_minMET);
//   // jets
//   // do the jet sorting inside particles!
//   Bool_t jetpass=obj->applyJetCuts(_minJetPt,_maxJetEta,_minNjets,_maxNjets,_minJet1Pt,_maxJet1Eta);

  //cout<<"leptonpass = "<<leptonpass<<endl;
  //cout<<"metpass "<<metpass<<endl;
  //cout<<"jetpass "<<jetpass<<endl;
  
  //cout<<"end of cut_Basic"<<endl;

  //  return leptonpass&&metpass&&jetpass;  
  return kTRUE;
  
}












